Skip Menu |
 

Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the Mojolicious CPAN distribution.

Report information
The Basics
Id: 56735
Status: resolved
Priority: 0/
Queue: Mojolicious

People
Owner: Nobody in particular
Requestors: adamk [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: Mojolicious::Lite does not have a version
Download (untitled) / with headers
text/plain 378b
Currently a Mojolicious::Lite application can only declare a dependency on the namespace Mojo, because it (and Mojolicious) are the onll two packages with versions. Please add at least a version for ::Lite (that increments in lock-step with the main version) so things like Module::Install can automatically detect the dependency by looking for... use Mojolicious::Lite 1.23;
Download (untitled) / with headers
text/plain 122b
Actually the version number in Mojo.pm is deprecated, you are supposed to depend on a specific version of Mojolicious.pm.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.